Upstream information

CVE-2023-46045 at MITRE

Description

Graphviz 2.36.0 through 9.x before 10.0.1 has an out-of-bounds read via a crafted config6a file. NOTE: exploitability may be uncommon because this file is typically owned by root.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 3.4
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:L/I:N/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None High
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1219491 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP5
  • graphviz >= 2.48.0-150400.3.3.1
  • graphviz-devel >= 2.48.0-150400.3.3.1
  • graphviz-perl >= 2.48.0-150400.3.3.1
  • graphviz-plugins-core >= 2.48.0-150400.3.3.1
  • libgraphviz6 >= 2.48.0-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2024-1351
SUSE-SLE-Module-Development-Tools-15-SP5-2024-1351
SUSE Linux Enterprise High Availability Extension 15 SP4
  • graphviz-gd >= 2.48.0-150400.3.3.1
  • python3-gv >= 2.48.0-150400.3.3.1
Patchnames:
SUSE-SLE-Product-HA-15-SP4-2024-1351
SUSE Linux Enterprise High Availability Extension 15 SP5
  • graphviz-gd >= 2.48.0-150400.3.3.1
  • python3-gv >= 2.48.0-150400.3.3.1
Patchnames:
SUSE-SLE-Product-HA-15-SP5-2024-1351
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • graphviz >= 2.48.0-150400.3.3.1
  • graphviz-devel >= 2.48.0-150400.3.3.1
  • graphviz-perl >= 2.48.0-150400.3.3.1
  • graphviz-plugins-core >= 2.48.0-150400.3.3.1
  • graphviz-tcl >= 2.48.0-150400.3.3.1
  • libgraphviz6 >= 2.48.0-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2024-1351
SUSE-SLE-Module-Development-Tools-15-SP5-2024-1351
SUSE-SLE-Module-Server-Applications-15-SP5-2024-1351
SUSE Linux Enterprise Module for Basesystem 15 SP5
  • graphviz >= 2.48.0-150400.3.3.1
  • graphviz-devel >= 2.48.0-150400.3.3.1
  • graphviz-plugins-core >= 2.48.0-150400.3.3.1
  • libgraphviz6 >= 2.48.0-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2024-1351
SUSE Linux Enterprise Module for Development Tools 15 SP5
  • graphviz-perl >= 2.48.0-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP5-2024-1351
SUSE Linux Enterprise Module for Package Hub 15 SP5
  • graphviz-gnome >= 2.48.0-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP5-2024-1351
SUSE Linux Enterprise Module for Server Applications 15 SP5
  • graphviz-tcl >= 2.48.0-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP5-2024-1351
openSUSE Leap 15.5
  • graphviz >= 2.48.0-150400.3.3.1
  • graphviz-devel >= 2.48.0-150400.3.3.1
  • graphviz-doc >= 2.48.0-150400.3.3.1
  • graphviz-gd >= 2.48.0-150400.3.3.1
  • graphviz-gnome >= 2.48.0-150400.3.3.1
  • graphviz-guile >= 2.48.0-150400.3.3.1
  • graphviz-gvedit >= 2.48.0-150400.3.3.1
  • graphviz-java >= 2.48.0-150400.3.3.1
  • graphviz-lua >= 2.48.0-150400.3.3.1
  • graphviz-perl >= 2.48.0-150400.3.3.1
  • graphviz-php >= 2.48.0-150400.3.3.1
  • graphviz-plugins-core >= 2.48.0-150400.3.3.1
  • graphviz-ruby >= 2.48.0-150400.3.3.1
  • graphviz-smyrna >= 2.48.0-150400.3.3.1
  • graphviz-tcl >= 2.48.0-150400.3.3.1
  • graphviz-webp >= 2.48.0-150400.3.3.1
  • graphviz-x11 >= 2.48.0-150400.3.3.1
  • libgraphviz6 >= 2.48.0-150400.3.3.1
  • python3-gv >= 2.48.0-150400.3.3.1
Patchnames:
openSUSE-SLE-15.5-2024-1351
openSUSE Tumbleweed
  • graphviz >= 2.49.3-9.1
  • graphviz-devel >= 2.49.3-9.1
  • graphviz-plugins-core >= 2.49.3-9.1
  • libcdt5 >= 2.49.3-9.1
  • libcgraph6 >= 2.49.3-9.1
  • libgvc6 >= 2.49.3-9.1
  • libgvpr2 >= 2.49.3-9.1
  • liblab_gamut1 >= 2.49.3-9.1
  • libpathplan4 >= 2.49.3-9.1
  • libxdot4 >= 2.49.3-9.1
Patchnames:
openSUSE Tumbleweed GA graphviz-2.49.3-9.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 graphviz Affected
SUSE Linux Enterprise Desktop 15 SP5 graphviz Released
SUSE Linux Enterprise Desktop 15 SP5 graphviz-addons Released
SUSE Linux Enterprise Desktop 15 SP6 graphviz Affected
SUSE Linux Enterprise High Availability Extension 15 SP5 graphviz Released
SUSE Linux Enterprise High Availability Extension 15 SP5 graphviz-addons Released
SUSE Linux Enterprise High Availability Extension 15 SP6 graphviz Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 graphviz Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 graphviz Released
SUSE Linux Enterprise High Performance Computing 15 SP5 graphviz-addons Released
SUSE Linux Enterprise High Performance Computing 15 SP6 graphviz Affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 graphviz Released
SUSE Linux Enterprise Module for Basesystem 15 SP6 graphviz Affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 graphviz Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 graphviz-addons Released
SUSE Linux Enterprise Module for Development Tools 15 SP6 graphviz Affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 graphviz Released
SUSE Linux Enterprise Module for Package Hub 15 SP5 graphviz-addons Released
SUSE Linux Enterprise Module for Package Hub 15 SP6 graphviz Affected
SUSE Linux Enterprise Module for Server Applications 15 SP5 graphviz Released
SUSE Linux Enterprise Module for Server Applications 15 SP5 graphviz-addons Released
SUSE Linux Enterprise Module for Server Applications 15 SP6 graphviz Affected
SUSE Linux Enterprise Real Time 15 SP3 graphviz Affected
SUSE Linux Enterprise Server 12 SP5 graphviz Not affected
SUSE Linux Enterprise Server 15 SP5 graphviz Released
SUSE Linux Enterprise Server 15 SP5 graphviz-addons Released
SUSE Linux Enterprise Server 15 SP6 graphviz Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 graphviz Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 graphviz Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 graphviz Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 graphviz-addons Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 graphviz Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 graphviz Not affected
SUSE Manager Proxy 4.3 graphviz Affected
SUSE Manager Retail Branch Server 4.3 graphviz Affected
SUSE Manager Server 4.3 graphviz Affected
openSUSE Leap 15.5 graphviz Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 graphviz Affected
SUSE Linux Enterprise High Availability Extension 15 SP4 graphviz Released
SUSE Linux Enterprise High Availability Extension 15 SP4 graphviz-addons Released
SUSE Linux Enterprise High Performance Computing 15 graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS graphviz Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS graphviz Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS graphviz Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS graphviz Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 graphviz Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 graphviz Affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 graphviz Affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 graphviz Affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 graphviz Affected
SUSE Linux Enterprise Server 15 SP2 graphviz Affected
SUSE Linux Enterprise Server 15 SP2-LTSS graphviz Affected
SUSE Linux Enterprise Server 15 SP3 graphviz Affected
SUSE Linux Enterprise Server 15 SP3-LTSS graphviz Affected
SUSE Linux Enterprise Server 15 SP4 graphviz Affected
SUSE Linux Enterprise Server 15 SP4-LTSS graphviz Affected
SUSE Linux Enterprise Server for SAP Applications 15 graphviz Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 graphviz Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 graphviz Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 graphviz Affected
SUSE OpenStack Cloud 8 graphviz Not affected
SUSE OpenStack Cloud 9 graphviz Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 graphviz Not affected
SUSE CaaS Platform 4.0 graphviz Affected
SUSE Enterprise Storage 6 graphviz Affected
SUSE Enterprise Storage 7 graphviz Affected
SUSE Linux Enterprise Desktop 11 SP4 graphviz Not affected
SUSE Linux Enterprise Desktop 12 SP2 graphviz Not affected
SUSE Linux Enterprise Desktop 12 SP3 graphviz Not affected
SUSE Linux Enterprise Desktop 12 SP4 graphviz Not affected
SUSE Linux Enterprise Desktop 15 graphviz Affected
SUSE Linux Enterprise Desktop 15 SP1 graphviz Affected
SUSE Linux Enterprise Desktop 15 SP2 graphviz Affected
SUSE Linux Enterprise Desktop 15 SP3 graphviz Affected
SUSE Linux Enterprise Module for Basesystem 15 graphviz Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 graphviz Affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 graphviz Affected
SUSE Linux Enterprise Real Time 15 SP2 graphviz Affected
SUSE Linux Enterprise Real Time 15 SP4 graphviz Affected
SUSE Linux Enterprise Server 11 SP3 graphviz Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS graphviz Not affected
SUSE Linux Enterprise Server 11 SP4 graphviz Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS graphviz Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS graphviz Not affected
SUSE Linux Enterprise Server 12 SP2 graphviz Not affected
SUSE Linux Enterprise Server 12 SP2-BCL graphviz Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS graphviz Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS graphviz Not affected
SUSE Linux Enterprise Server 12 SP3 graphviz Not affected
SUSE Linux Enterprise Server 12 SP3-BCL graphviz Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS graphviz Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS graphviz Not affected
SUSE Linux Enterprise Server 12 SP4 graphviz Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS graphviz Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS graphviz Not affected
SUSE Linux Enterprise Server 15 graphviz Affected
SUSE Linux Enterprise Server 15 SP1 graphviz Affected
SUSE Linux Enterprise Server 15 SP1-BCL graphviz Affected
SUSE Linux Enterprise Server 15 SP1-LTSS graphviz Affected
SUSE Linux Enterprise Server 15 SP2-BCL graphviz Affected
SUSE Linux Enterprise Server 15 SP3-BCL graphviz Affected
SUSE Linux Enterprise Server 15-LTSS graphviz Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 graphviz Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 graphviz Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 graphviz Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 graphviz Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 graphviz Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 graphviz Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 graphviz Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 graphviz Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 graphviz Not affected
SUSE Manager Proxy 4.0 graphviz Affected
SUSE Manager Proxy 4.1 graphviz Affected
SUSE Manager Proxy 4.2 graphviz Affected
SUSE Manager Retail Branch Server 4.0 graphviz Affected
SUSE Manager Retail Branch Server 4.1 graphviz Affected
SUSE Manager Retail Branch Server 4.2 graphviz Affected
SUSE Manager Server 4.0 graphviz Affected
SUSE Manager Server 4.1 graphviz Affected
SUSE Manager Server 4.2 graphviz Affected
SUSE OpenStack Cloud 7 graphviz Not affected
SUSE OpenStack Cloud Crowbar 8 graphviz Not affected
SUSE OpenStack Cloud Crowbar 9 graphviz Not affected
openSUSE Leap 15.4 graphviz Released


SUSE Timeline for this CVE

CVE page created: Thu Feb 1 12:00:01 2024
CVE page last modified: Sun Apr 21 17:34:43 2024